<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerLaporanMotor extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        if ($this->session->userdata('level') != 4) {
            redirect();
        }
        $this->load->library('encrypt');
        $this->load->library('mycustom');
        $this->load->model('bagian_arisan/insert_model');
        $this->load->model('bagian_arisan/select_model');
        $this->load->model('bagian_arisan/update_model');
        $this->load->library('form_validation');
        $this->set_timezone();
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function arisan_motor($id)
    {
        // NOtifikasi
        $notifikasi_pengajuan = $this->db->get_where('tbl_arisan_pengajuan')->result();
        $jml_pengajuan        = count($notifikasi_pengajuan);
        // End_notifikasi 
        $kode_regist          = $this->encrypt->decode($id);
        $kode_arisan          = $this->encrypt->decode($id);
        $cek_jenis            = substr($this->encrypt->decode($id), 2, 2);
        if ($cek_jenis == '22') :
            // Data Login Identitas Karyawan
            $data_login           = $this->userlogin->user_login('isloggedin');
            $data_id_login        = $this->session->userdata('isloggedin');
            // Query SQL Data atau isi data page 
            $data_pemenang          = $this->select_model->getDataAnggotaArisanHebohMenang($kode_regist); // Data Anggota Pemenang Arisan
            $ttl_pemenang           = count($data_pemenang);
            $data_mundur            = $this->select_model->getDataAnggotaArisanHebohMundur($kode_regist);
            $ttl_mundur             = count($data_mundur);
            $data_kaskelompok       = $this->select_model->DataLapLelangKemarin($kode_arisan);
            $data_pendapatan        = $this->select_model->getDataPendapatanARisanHeboh($kode_arisan);
            $data = array(
                // Untuk memanggil halaman sesuai menu
                'folder'            => 'laporan/motor',
                'page'              => 'index',
                'judul'             => 'Laporan Aktifitas Arisan Motor || Bagian Arisan',
                // Login Data
                'data_id_login'       => $data_id_login,
                'data_login'          => $data_login,
                // Isi data
                'data_pemenang'       => $data_pemenang,
                'ttl_pemenang'        => $ttl_pemenang,
                'ttl_mundur'          => $ttl_mundur,
                'ttl_kaskelompok'     => $data_kaskelompok,
                'ttl_pendapatan'      => $data_pendapatan,
                'jml_pengajuan'       => $jml_pengajuan
            );
            $this->load->view('arisan/index', $data);
        else :
            redirect('arisan/aktifitas/laporan/arisan_heboh/kelompok/' . $this->encrypt->encode($kode_regist));
        endif;
    }
    public function detail($id)
    {
        // NOtifikasi
        $notifikasi_pengajuan = $this->db->get_where('tbl_arisan_pengajuan')->result();
        $jml_pengajuan        = count($notifikasi_pengajuan);
        // End_notifikasi 
        // Cek ID apakah kode laporan atau kode arisan dan jadwal
        $cek_id = strlen($this->encrypt->decode($id));
        if ($cek_id > 15) :
            $kd_laporan = $this->encrypt->decode($id);
        else :
            $kd_arisan = substr($this->encrypt->decode($id), 0, 7);
            $jadwal_id = substr($this->encrypt->decode($id), 7, 4);
            $cek_laporan = $this->db->get_where('tbl_lap_arisan', ['regist_arisan' => $kd_arisan, 'undian_ke' => $jadwal_id])->row_array();
            $kd_laporan = $cek_laporan['id'];
        endif;
        // Data Login Identitas Karyawan
        $data_login           = $this->userlogin->user_login('isloggedin');
        $data_id_login        = $this->session->userdata('isloggedin');
        // Data Arisan
        $data_laporan          = $this->select_model->getDataDetailLaporan($kd_laporan);
        $data_pemenang         = $this->select_model->getDataDetailLaporanPemenang($kd_laporan);
        $ttl_pemenang          = count($this->select_model->getDataDetailLaporanPemenang($kd_laporan));
        $data_tunggakan        = $this->select_model->getDataLaporanAnggotaTunggakan($kd_laporan);
        $data_tunggakan_bayar  = $this->select_model->getDataLaporanAnggotaTunggakanBayar($kd_laporan);
        $jml_tunggakan         = count($data_tunggakan);
        $jml_tunggakan_bayar   = count($data_tunggakan_bayar);
        $data_arisan           = $this->db->get_where('tbl_arisan', ['id' => $data_laporan['regist_arisan']])->row_array();
        $data_jadwal           = $this->db->get_where('tbl_jadwal_undian', ['id' => $data_laporan['undian_ke']])->row_array();
        // echo '<pre>';
        // var_dump($data_laporan);
        // die;
        $id_jadwal      = $data_jadwal['id'];
        $kd_arisan      = $data_arisan['id'];
        $cari_lelang_ke = $this->select_model->getDataLelangKe($id_jadwal, $kd_arisan);

        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'            => 'laporan/motor',
            'page'              => 'detail',
            'judul'             => 'Laporan Aktifitas Arisan Heboh || Bagian Arisan',
            // Login Data
            'data_id_login'     => $data_id_login,
            'data_login'        => $data_login,
            // Data Konten
            'laporan'                => $data_laporan,
            'anggota_tunggakan'      => $data_tunggakan,
            'tunggakan_bayar'        => $data_tunggakan_bayar,
            'jml_tunggakan'          => $jml_tunggakan,
            'jml_tunggakanbayar'     => $jml_tunggakan_bayar,
            'data_arisan'            => $data_arisan,
            'jadwal_arisan'          => $data_jadwal,
            'data_pemenang'          => $data_pemenang,
            'ttl_pemenang'           => $ttl_pemenang,
            'ttl_lelang'             => $cari_lelang_ke,
            'jml_pengajuan'       => $jml_pengajuan

        );
        $this->load->view('arisan/index', $data);
    }
}

/* End of file ControllerLaporanMotor.php and path \application\controllers\arisan\aktifitas\ControllerLaporanMotor.php */